Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056034 - replace-brick : "replace-brick commit force" should work even when rebalance process is running
Summary: replace-brick : "replace-brick commit force" should work even when rebalance ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Nithya Balachandran
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1286141
TreeView+ depends on / blocked
 
Reported: 2014-01-21 12:51 UTC by spandura
Modified: 2015-11-27 11:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1286141 (view as bug list)
Environment:
Last Closed: 2015-11-27 11:52:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description spandura 2014-01-21 12:51:34 UTC
Description of problem:
=============================
"replace-brick commit force" should work even when rebalance process is running. commit with "force" option is to override all the checks. 

If we have a dead node and we want to replace the dead node with the new node , currently we have to wait for the rebalance process if any to complete and then do a replace-brick commit force and then trigger self-heal. 

Version-Release number of selected component (if applicable):
=============================================================
glusterfs 3.4.0.57rhs built on Jan 13 2014 06:59:05

How reproducible:
==================
Often

Steps to Reproduce:
=======================
1.Create a 2 x 3 distribute-replicate volume. Create fuse mount . Create files /directories from mount point. 

2.Add 3 more bricks to volume to change the volume type to 3 x 3. Start rebalance. 

3.While rebalance is in progress, bring down 2 nodes. 

4. Try to replace the offline bricks with new bricks using "replace-brick" with "commit force" option. 

Actual results:
===============
root@domU-12-31-39-0A-99-B2 [Jan-21-2014-12:05:17] >gluster volume replace-brick exporter ip-10-114-195-155.ec2.internal:/rhs/bricks/exporter ip-10-83-5-197.ec2.internal:/rhs/bricks/exporter commit force ; 
volume replace-brick: failed: Volume name exporter rebalance is in progress. Please retry after completion

Expected results:
==================
replace-brick commit force should be successful even when rebalance process is running.

Comment 2 Susant Kumar Palai 2015-11-27 11:52:29 UTC
Cloning this to 3.1. To be fixed in future.


Note You need to log in before you can comment on or make changes to this bug.